STG-SHOW(1)

NAME
stg-show - Show patch commits

SYNOPSIS

stg show [OPTIONS] [patch-or-rev]... [-- <path>...]
stg show [OPTIONS] [--patch <patch-or-rev>]... [-- <path>...]
stg show [OPTIONS] [-A] [-U] [-H] [-- <path>...]

DESCRIPTION

Show the commit log and diff corresponding to the given patches. The topmost patch is shown by default, or HEAD if no patches are applied. The output is similar to git-show(1).

OPTIONS

-p <patch-or-rev>, --patch=<patch-or-rev>
    Patch or revision to show

-b <branch>, --branch=<branch>
    Use <branch> instead of current branch

-s, --stat
    Show a diffstat summary instead of the full diff

-O <option>, --diff-opt=<option>
    Pass additional <option> to git diff.

    See the git-diff(1) man page. This option may be specified multiple times.

-A, --applied
    Show the applied patches

-U, --unapplied
    Show the unapplied patches

-H, --hidden
    Show the hidden patches

STGIT

Part of the StGit suite - see stg(1)